Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class OperationUnsupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.compoze.collab.util.NestedRuntimeException
                      com.compoze.collab.CollaborationRuntimeException
                          com.compoze.collab.OperationUnsupportedException

All Implemented Interfaces
  Serializable

    public class OperationUnsupportedException

extends CollaborationRuntimeException

This exception is thrown by the API when an operation is not supported by the underlying provider.

See Also
  Serialized Form

Constructor Summary
`OperationUnsupportedException(com.compoze.collab.spi.Context context)` Constructor.
`OperationUnsupportedException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs an OperationUnsupportedException.
`OperationUnsupportedException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)` Constructs an OperationUnsupportedException.
`OperationUnsupportedException(com.compoze.collab.spi.Context context, Object param)` Constructor.
`OperationUnsupportedException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs an OperationUnsupportedException.
`OperationUnsupportedException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)` Constructs an OperationUnsupportedException.

Method Summary

Methods inherited from class com.compoze.collab.CollaborationRuntimeException
`getAdminMessage, getAdminResolution, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedRuntimeException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationUnsupportedException

    public OperationUnsupportedException(com.compoze.collab.spi.Context context)

  Constructor.

  Parameters
    `context` - the API context

### OperationUnsupportedException

    public OperationUnsupportedException(com.compoze.collab.spi.Context context,
                                         Object param)

  Constructor.

  Parameters
    `context` - the API context
    `param` - parameter to the message

### OperationUnsupportedException

    public OperationUnsupportedException(com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs an OperationUnsupportedException.

  Parameters
    `ctx` -
    `key` -

### OperationUnsupportedException

    public OperationUnsupportedException(com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey key,
                                         Object param)

  Constructs an OperationUnsupportedException.

  Parameters
    `ctx` -
    `key` -
    `param` -

### OperationUnsupportedException

    public OperationUnsupportedException(Throwable t,
                                         com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs an OperationUnsupportedException.

  Parameters
    `t` -
    `ctx` -
    `key` -

### OperationUnsupportedException

    public OperationUnsupportedException(Throwable t,
                                         com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey key,
                                         Object param)

  Constructs an OperationUnsupportedException.

  Parameters
    `t` -
    `ctx` -
    `key` -
    `param` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved